Bug 373871 - Themes button in gnome-compiz-preferences does nothing
Themes button in gnome-compiz-preferences does nothing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-compiz-manager (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: John Mahowald
Fedora Extras Quality Assurance
: Reopened
Depends On: 417381
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 16:46 EST by Jonathan Underwood
Modified: 2014-07-25 14:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:29:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf for this machine (802 bytes, text/plain)
2008-01-31 19:05 EST, Jonathan Underwood
no flags Details
Xorg log file corresponding to the xorg.conf posten in previous attachment (70.16 KB, text/plain)
2008-01-31 19:06 EST, Jonathan Underwood
no flags Details
Xorg log file corresponding to no xorg.conf present (72.89 KB, text/plain)
2008-01-31 19:10 EST, Jonathan Underwood
no flags Details
xorg.conf from FC10 (2.04 KB, text/plain)
2009-03-25 10:55 EDT, Jeff Levesque
no flags Details
Xorg log from FC10 (11.99 KB, text/plain)
2009-03-25 10:57 EDT, Jeff Levesque
no flags Details
Xorg Log File (61.69 KB, application/octet-stream)
2009-04-08 16:08 EDT, Charles Tryon
no flags Details

  None (edit)
Description Jonathan Underwood 2007-11-09 16:46:28 EST
Description of problem:
In gnome-compiz-preferences, the "Themes" button doesn't do anything. Perhaps
there is some package that is installed (and so this bug is a missing
dependency), or perhaps these messages that appear in the console give a clue:
$ gnome-compiz-preferences 

** (gnome-compiz-preferences:23515): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin decoration isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin glib isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin dbus isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin png isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin svg isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin video isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin screenshot isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin decoration isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin clone isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin place isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin fade isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin minimize isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin cube isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin rotate isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin zoom isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin move isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin resize isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin switcher isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin scale isn't installed

** (gnome-compiz-preferences:23515): CRITICAL **: gcm_gl_plugin_get_option:
assertion `self != NULL' failed

** (gnome-compiz-preferences:23515): CRITICAL **: gcm_gl_option_set_string:
assertion `self != NULL' failed

** (gnome-compiz-preferences:23515): WARNING **: plugin decoration isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin png isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin svg isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin crashhandler isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:23515): WARNING **: plugin gconf isn't installed

and then when I press the Themes button, in the console I see:

** (gnome-compiz-preferences:23515): CRITICAL **: gcm_application_start:
assertion `self != NULL' failed



Version-Release number of selected component (if applicable):
compiz-fusion-0.6.0-5.fc8
compiz-gnome-0.6.2-3.fc8
compiz-fusion-extras-gnome-0.6.0-1.fc8
compiz-0.6.2-3.fc8
libcompizconfig-0.6.0-3.fc8
compiz-fusion-extras-0.6.0-1.fc8
gnome-compiz-manager-0.10.4-2.fc8


How reproducible:
Everytime

Steps to Reproduce:
1.Start gnome-compiz-preferences
2.Press themes button
3.
  
Actual results:
Nothing happens

Expected results:
I expect to chose a theme

Additional info:
Comment 1 praxis 2007-11-19 20:00:00 EST
i have the problem
Comment 2 Matěj Cepl 2008-01-31 17:08:52 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Reporter, could you still reproduce this issue with your distribution upgraded
to the latest versions of all relevant packages, please?

If yes, please, attach your X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Jonathan Underwood 2008-01-31 19:04:35 EST
With these versions of the relevant packages the Themes button still does nothing:

compiz-gnome-0.6.2-3.fc8
compiz-0.6.2-3.fc8
compiz-fusion-extras-0.6.0-1.fc8
gnome-compiz-manager-0.10.4-3.fc8
compiz-fusion-extras-gnome-0.6.0-1.fc8
libcompizconfig-0.6.0-3.fc8
compiz-fusion-0.6.0-12.fc8

So yes the problem is still present.
Comment 4 Jonathan Underwood 2008-01-31 19:05:14 EST
Created attachment 293669 [details]
xorg.conf for this machine
Comment 5 Jonathan Underwood 2008-01-31 19:06:24 EST
Created attachment 293671 [details]
Xorg log file corresponding to the xorg.conf posten in previous attachment

Xorg log file corresponding to the xorg.conf posten in previous attachment
Comment 6 Jonathan Underwood 2008-01-31 19:10:36 EST
Created attachment 293673 [details]
Xorg log file corresponding to no xorg.conf present
Comment 7 Matěj Cepl 2008-02-01 18:51:01 EST
Jonathan, one more thing. What is the output of

package-cleanup --problems

(run as root; it is from yum-utils package)
Comment 8 Jonathan Underwood 2008-02-01 19:24:05 EST
]# package-cleanup --problems
Setting up yum
Reading local RPM database
Processing all local requires
No problems found
Comment 9 Bug Zapper 2008-11-26 03:15:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:23:23 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Jeff Levesque 2009-03-25 10:54:31 EDT
I am seeing this same issue in Fedora 10. I will attach the previously requested files for review.
Comment 12 Jeff Levesque 2009-03-25 10:55:49 EDT
Created attachment 336654 [details]
xorg.conf from FC10
Comment 13 Jeff Levesque 2009-03-25 10:57:25 EDT
Created attachment 336656 [details]
Xorg log from FC10
Comment 14 Jeff Levesque 2009-03-25 11:00:19 EDT
Error messages, package details, and package-cleanup --problems output.

bash-3.2$ gnome-compiz-preferences 

** (gnome-compiz-preferences:13501): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin decoration isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin core isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin glib isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin dbus isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin png isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin svg isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin video isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin screenshot isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin decoration isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin clone isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin place isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin fade isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin minimize isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin cube isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin rotate isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin zoom isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin move isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin resize isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin switcher isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin scale isn't installed

** (gnome-compiz-preferences:13501): CRITICAL **: gcm_gl_plugin_get_option: assertion `self != NULL' failed

** (gnome-compiz-preferences:13501): CRITICAL **: gcm_gl_option_set_string: assertion `self != NULL' failed

** (gnome-compiz-preferences:13501): WARNING **: plugin decoration isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin png isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin svg isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin crashhandler isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:13501): WARNING **: plugin gconf isn't installed

** (gnome-compiz-preferences:13501): CRITICAL **: gcm_application_start: assertion `self != NULL' failed


[root@jelevesque2 ~]# yum list | grep compiz
compiz.x86_64                           0.7.8-7.fc10                   installed
compiz-fusion.x86_64                    0.7.8-3.fc10                   installed
compiz-fusion-extras.x86_64             0.7.8-3.fc10                   installed
compiz-fusion-extras-gnome.x86_64       0.7.8-3.fc10                   installed
compiz-fusion-gnome.x86_64              0.7.8-3.fc10                   installed
compiz-gnome.x86_64                     0.7.8-7.fc10                   installed
compiz-manager.noarch                   0.6.0-8.fc10                   installed
compizconfig-backend-gconf.x86_64       0.7.8-1.fc10                   installed
gnome-compiz-manager.x86_64             0.10.4-4.fc10                  installed
libcompizconfig.x86_64                  0.7.8-1.fc10                   installed
compiz.i386                             0.7.8-7.fc10                   updates  
compiz-bcop.noarch                      0.7.8-1.fc10                   updates  
compiz-devel.i386                       0.7.8-7.fc10                   updates  
compiz-devel.x86_64                     0.7.8-7.fc10                   updates  
compiz-fusion-devel.i386                0.7.8-3.fc10                   updates  
compiz-fusion-devel.x86_64              0.7.8-3.fc10                   updates  
compiz-fusion-extras-devel.i386         0.7.8-3.fc10                   updates  
compiz-fusion-extras-devel.x86_64       0.7.8-3.fc10                   updates  
compiz-kde.x86_64                       0.7.8-7.fc10                   updates  
compizconfig-backend-kconfig.x86_64     0.7.8-1.fc10                   updates  
compizconfig-python.x86_64              0.7.8-1.fc10                   updates  
gnome-compiz-manager.i386               0.10.4-4.fc10                  fedora   
gnome-compiz-manager-devel.i386         0.10.4-4.fc10                  fedora   
gnome-compiz-manager-devel.x86_64       0.10.4-4.fc10                  fedora   
libcompizconfig.i386                    0.7.8-1.fc10                   updates  
libcompizconfig-devel.i386              0.7.8-1.fc10                   updates  
libcompizconfig-devel.x86_64            0.7.8-1.fc10                   updates  

[root@jelevesque2 ~]# package-cleanup --problems
Setting up yum
Loaded plugins: refresh-packagekit
Reading local RPM database
Processing all local requires
Missing dependencies:
Package eclipse-jdt requires java-javadoc
Comment 15 Charles Tryon 2009-04-06 17:39:39 EDT
Please re-open this bug.  I am seeing this in F10 x86_64 also when trying to run the Compiz manager app.
Comment 16 Matěj Cepl 2009-04-06 19:27:41 EDT
opening per comment 15
Comment 17 Charles Tryon 2009-04-08 16:08:11 EDT
Created attachment 338793 [details]
Xorg Log File

This is on F10, x86_64, with all packages up-to-date (via yum)
Comment 18 Charles Tryon 2009-04-08 16:09:07 EDT
I am attaching the /var/log/Xorg.0.log file.  Looking in the /etc/X11 directory, I don't see any xorg.conf file, so I am assuming that this means X11 is auto-detecting everything.

compiz packages:

compiz-0.7.8-7.fc10.x86_64
compizconfig-backend-gconf-0.7.8-1.fc10.x86_64
compiz-fusion-0.7.8-4.fc10.x86_64
compiz-gnome-0.7.8-7.fc10.x86_64
gnome-compiz-manager-0.10.4-4.fc10.x86_64
compiz-fusion-extras-gnome-0.7.8-3.fc10.x86_64
libcompizconfig-0.7.8-1.fc10.x86_64
compiz-manager-0.6.0-8.fc10.noarch
compizconfig-python-0.7.8-1.fc10.x86_64
compiz-fusion-gnome-0.7.8-4.fc10.x86_64
compiz-fusion-extras-0.7.8-3.fc10.x86_64
Comment 19 Eduardo Tapia 2009-04-17 04:35:46 EDT
Hi, same problem here with F10 x86_64, same compiz packages as in previous comment.
Running "strace gnome-compiz-preferences" I can see gnome-compiz-manager looking for compiz plugins in /usr/lib/compiz while they are installed in /usr/lib64/compiz

access("/usr/lib/compiz/libgconf.so", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/lib/compiz/libdecoration.so", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/lib/compiz/libcore.so", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/lib/compiz/libwinrules.so", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/lib/compiz/libglib.so", F_OK) = -1 ENOENT (No such file or directory)
...
Comment 20 Robert 2009-05-07 06:06:49 EDT
gnome-compiz-preferences shouldn't really be used any more should it? Wouldn't CompizConfig Settings Manage be used. Unfortunately both don't seem to work on either of my F10 or F11RC installs. CCSM gives much more control.
Comment 21 Matěj Cepl 2009-11-05 13:18:49 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 22 Matěj Cepl 2010-02-26 07:22:30 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 23 Bug Zapper 2010-04-27 07:49:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Bug Zapper 2010-06-28 06:29:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 25 Jonathan Underwood 2014-07-25 05:36:48 EDT
Clearing NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.